### 3.2 Opções de Linha de Comando

Aqui estão as opções de linha de comando que o Geomview permite:

‘`-b r g b`’
  Escolhe a cor de fundo da janela de câmera para valores fornecidos de r g b.
‘`-c arquivo`’
  Interpreta os comandos GCL em arquivo, que pode ser o símbolo especial `-` para a entrada padrão. Para uma descrição de GCL, veja GCL.
‘`-c comando`’
  Comandos podem também serem fornecidos literalmente, como em

                -c "(ui-panel main off)"

  Uma vez que comando inclui parêntesis, que possuem significado especial para o shell, comando deve receber apóstrofo. Multiplas opções -c são permitidas.

‘`-wins n`’
  Faz com que Geomview mostre inicialmente n janelas de câmera.
‘`-wpos largura,altura[@xmin,ymin]`’
  Especifica a localização inicial e o tamanho da primeira janela de câmera. Os valores para largura, altura, xmin, e ymin estão em coordenadas de tela (pixel).
‘`-M[cg][ps[un|in|in6]] PIPENOME|TCPPORT`’
  A opção ‘`-M`’ aceita modificadores: um sufixo ‘`g`’ espera dados geométricos (o padrão), enquanto um sufixo ‘`c`’ espera comandos GCL. Um ‘`p`’ implica que a conecção pode usar um pipe nomeado (o padrão para tudo exceto para "NeXT"), enquanto ‘`s`’ implica no uso de um "UNIX-domain socket" (o padrão em "NeXT"). Uma vez que na versão 1.9 do Geomview "Internet domain sockets" são também suportados; use ‘`sin`’ para fazer o Geomview escutar uma porta IPv4 fornecida por TCPPORT, ou use ‘`sin6`’ para fazer Geomview escute uma porta IPv6 (também como especificado em TCPPORT). ‘`sun`’ é um sinônimo para ‘`s`’, i.e. use o "Unix domain socket" com o nome PIPENOME. Se PIPENOME inicia com uma barra ('/'), então esse nome é assumido ser um caminho absoluto, de outra forma o pipe nomeado ou socket é criado sob o diretório `${TMPDIR}/geomview/`.

  Escutando fluxo de comando em portas TCP pode ser um risco de segurança, como Geomview por si mesmo não toma nenhum tipo de precaução de segurança, Geomview simplesmente executa todos os comandos alimentados a ele através do socket de rede. Isso também implica entrada e saída para unidades de armazenamento locais devem ser permitidas remotamente.

  Exemplos:

  `-M` nome_de_objeto
    Mostra (possivelmente mudando dinamicamente) geometria enviada de programas `geomstuff` ou `togeomview`. Essa opção "-M" escuta o pipe nomeado `/tmp/geomview/nome_de_objeto`; você pode conseguir o mesmo efeito com os comandos de shell abaixo:

                       mkdir /tmp/geomview
                       mknod /tmp/geomview/nome_de_objeto p

    (assumindo que o diretório e o pipe nomeado não existam atualmente), então executando o comando GCL:

                       (geometry nome_de_objeto  <
                       /tmp/geomview/nome_de_objeto)

    (veja `(geometry ...)`)

  `-Mc` pipenome
    Como ‘`-M`’ acima, mas espera comandos GCL, em lugar de dados geométricos OOGL, na conecção.
  `-Mcs nome`
    Lê comandos a partir do "UNIX-domain socket" nomeado. `/tmp/geomview/nome`
  `-Mcsin 40000`
    Lê comandos a partir da porta IPv4 ‘`40000`’. Geomview por si mesmo não toma qualquer precaução de segurança, de forma que "-Mcsin 40000" pode ser um risco de segurança.
‘`-noopengl`’
  Desabilita o uso de OpenGL para (possivelmente) conversão acelerada de hardware, mesmo que o binário do Geomview tenha suporte a OpenGL compilado internamente. "-noopengl" também desabilita o suporte a transparência e texturas na janelas de câmera. Instantâneos "RenderMan" ainda terão a transparência correta e suporte a alguma textura limitada.
‘`-nopanels`’
  Inicia sem mostrar nenhum painel, somente a janelas gráficas. Painéis podem ser invocados mais tarde da forma usual com as teclas de atalho `Px` ou com comando `ui-panel`. Veja `(ui-panel ...)`.
‘`-noinit`’
  Não lê nenhum arquivo de inicialização. Por padrão, Geomview lê o arquivo `.geomview` do sistema, seguido daqueles em `${HOME}/.geomview` e em `./.geomview`.
‘`-e modulo`’
  Inicial um módulo externo; modulo é o nome associado ao módulo chamado, aparecendo no painel principal no navegador de "Applications", como definido pelo comando `emodule-define`. Veja `(emodule-define ...)`.
‘`-start module args ...`’
  Como -e mas permite a você enviar argumentos para o módulo externo. "–" sinaliza o fim da lista de argumentos; o "–" pode ser omitido se for o último argumento na linha de comando do Geomview.
‘`-run coamando-shell args ...`’
  Como "-start" mas toma o caminho de arquivos do executável do módulo externo em lugar do nome do módulo. Os caminhos de arquivo de todos os diretórios de módulos conhecidos são anexados ao final do caminho de busca do UNIX quando for invocado o comando-shell.